Skip to main content
GET
/
api
/
v1
/
enrich
/
companies
/
bulk
/
{job_id}
/
Get bulk company enrich job
curl --request GET \
  --url https://api.generect.com/api/v1/enrich/companies/bulk/{job_id}/ \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "input": {
        "domain": "microsoft.com"
      },
      "company": {
        "id": "1035",
        "name": "Microsoft",
        "domain": "microsoft.com",
        "website": "https://www.microsoft.com",
        "linkedin_id": "1035",
        "linkedin_link": "https://www.linkedin.com/company/microsoft/",
        "industry": "Software Development",
        "headcount_range": "10 000+",
        "headcount_exact": 228000,
        "company_type": "Public Company",
        "founded_year": 1975,
        "location": "Redmond, Washington, United States",
        "hq_country": "United States",
        "hq_city": "Redmond"
      }
    },
    {
      "input": {
        "id": "999999999"
      },
      "company": null
    }
  ],
  "meta": {
    "job_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "status": "completed",
    "total": 2,
    "processed": 2,
    "found": 1,
    "not_found": 1,
    "amount_charged": 0.04,
    "error": null
  }
}

Use Case:

Check the status and retrieve results for a bulk company enrich job.

Pricing

This endpoint is free — it does not incur any charges.

Authorizations

Authorization
string
header
required

Use the required Token prefix. Example: Authorization: Token xxxxxxxxx

Path Parameters

job_id
string
required

Response

Bulk job status and results

data
object[] | null

Result items once status is completed; null until then.

meta
object

Bulk job state. Poll the bulk status endpoint with job_id or subscribe to the completion webhook.